Package org.eclipse.mat.parser.internal.oql.parser

# Class OQLParserTokenManager

java.lang.Object
org.eclipse.mat.parser.internal.oql.parser.OQLParserTokenManager

All Implemented Interfaces:
  `OQLParserConstants`

public class OQLParserTokenManager extends Object implements OQLParserConstants
Token Manager.

## Field Summary

Fields
Modifier and Type
Field
Description
`PrintStream`
`debugStream`
Debug output.
`static final int[]`
`jjnewLexState`
Lex State array.
`static final String[]`
`jjstrLiteralImages`
Token literal values.
`static final String[]`
`lexStateNames`
Lexer state names.

### Fields inherited from interface org.eclipse.mat.parser.internal.oql.parser.OQLParserConstants

`AND, ARRAY, ARRAYLEFT, ARRAYRIGHT, CHARACTER_LITERAL, COLON, COMMA, DECIMAL_LITERAL, DEFAULT, DIVIDE, DOLLAR_SIGN, DOT, EOF, EQ, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FORMAL_COMMENT, GE, GT, HEX_LITERAL, IDENTIFIER, IMPLEMENTS, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INSIDE_COMMENT, INSTANCEOF, INTEGER_LITERAL, LBRACE, LE, LETTER, LONG_LITERAL, LPAREN, LT, MINUS, MULTI_LINE_COMMENT, NATIVE, NE, NULL, OCTAL_LITERAL, OR, PART_LETTER, PLUS, RBRACE, RPAREN, SINGLE_LINE_COMMENT, STAR, START_FORMAL_COMMENT, STRING_LITERAL, TERMINATOR, tokenImage, TRUE`

## Constructor Summary

Constructors
Constructor
Description
`OQLParserTokenManager(SimpleCharStream stream)`
Constructor.
`OQLParserTokenManager(SimpleCharStream stream, int lexState)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token`
`getNextToken()`
Get the next Token.
`void`
`ReInit(SimpleCharStream stream)`
Reinitialise parser.
`void`
`ReInit(SimpleCharStream stream, int lexState)`
Reinitialise parser.
`void`
`setDebugStream(PrintStream ds)`
Set debug output.
`void`
`SwitchTo(int lexState)`
Switch to specified lex state.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### debugStream

public PrintStream debugStream
Debug output.

### jjstrLiteralImages

public static final String[] jjstrLiteralImages
Token literal values.

### lexStateNames

public static final String[] lexStateNames
Lexer state names.

### jjnewLexState

public static final int[] jjnewLexState
Lex State array.

## Constructor Details

### OQLParserTokenManager

public OQLParserTokenManager(SimpleCharStream stream)
Constructor.

### OQLParserTokenManager

public OQLParserTokenManager(SimpleCharStream stream, int lexState)
Constructor.

## Method Details

### setDebugStream

public void setDebugStream(PrintStream ds)
Set debug output.

### ReInit

public void ReInit(SimpleCharStream stream)
Reinitialise parser.

### ReInit

public void ReInit(SimpleCharStream stream, int lexState)
Reinitialise parser.

### SwitchTo

public void SwitchTo(int lexState)
Switch to specified lex state.

### getNextToken

public Token getNextToken()
Get the next Token.